org.apache.jmeter.save

## Class ScriptWrapperConverter

- java.lang.Object
- - org.apache.jmeter.save.ScriptWrapperConverter

All Implemented Interfaces:
  com.thoughtworks.xstream.converters.Converter, com.thoughtworks.xstream.converters.ConverterMatcher

    public class ScriptWrapperConverter
    extends Object
    implements com.thoughtworks.xstream.converters.Converter

Handles XStream conversion of Test Scripts

### Constructor Summary

Constructors
Constructor and Description
`ScriptWrapperConverter(com.thoughtworks.xstream.mapper.Mapper classMapper)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `canConvert(Class arg0)`
`protected Class<?>` `getNextType(com.thoughtworks.xstream.io.HierarchicalStreamReader reader)`
`static String` `getVersion()` Returns the converter version; used to check for possible incompatibilities
`void` `marshal(Object arg0, com.thoughtworks.xstream.io.HierarchicalStreamWriter writer, com.thoughtworks.xstream.converters.MarshallingContext context)`
`Object` `unmarshal(com.thoughtworks.xstream.io.HierarchicalStreamReader reader, com.thoughtworks.xstream.converters.UnmarshallingContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ScriptWrapperConverter

    public ScriptWrapperConverter(com.thoughtworks.xstream.mapper.Mapper classMapper)

### Method Detail

#### getVersion

    public static String getVersion()

Returns the converter version; used to check for possible incompatibilities

Returns:
  the version of the converter

#### canConvert

    public boolean canConvert(Class arg0)

Specified by:
  `canConvert` in interface `com.thoughtworks.xstream.converters.ConverterMatcher`

#### marshal

    public void marshal(Object arg0,
                        com.thoughtworks.xstream.io.HierarchicalStreamWriter writer,
                        com.thoughtworks.xstream.converters.MarshallingContext context)

Specified by:
  `marshal` in interface `com.thoughtworks.xstream.converters.Converter`

#### unmarshal

    public Object unmarshal(com.thoughtworks.xstream.io.HierarchicalStreamReader reader,
                            com.thoughtworks.xstream.converters.UnmarshallingContext context)

Specified by:
  `unmarshal` in interface `com.thoughtworks.xstream.converters.Converter`

#### getNextType

    protected Class<?> getNextType(com.thoughtworks.xstream.io.HierarchicalStreamReader reader)